/*
 * radio.h
 *
 *  Created on: 3 Jul 2018
 *      Author: nats
 */

#ifndef RADIO_H_
#define RADIO_H_

#define Fxtal 26000000 /* 26MHz */

#define OUTDIV 24
#define BAND 5
#define FREQ 144800000
#define FCINT 65
#define FCFRACT 959850

#define PART_INFO 0x01
#define POWER_UP 0x02
#define SET_PROPERTY 0x11
#define GET_PROPERTY 0x12
#define GET_CHIP_STATUS 0x23
#define START_TX 0x31
#define START_RX 0x32
#define READ_CMD_BUFF 0x44

#define WRITE_TX_FIFO 0x66

/* 35: 15dBm | 20: 10dBm | 10: 5dBm | 7: 0dBm */
#define POWER_LEVEL 127
#define CLK_DUTY_LOW 3<<6
#define CLK_DUTY_HIGH 2<<6

#define GLOBAL_XO_TUNE 0x0000

#define GLOBAL_CONFIG 0x0003
#define INT_CTL_ENABLE 0x0100
#define FRR_CTL_A_MODE 0x0200
#define PREAMBLE_TX_LENGTH 0x1000
#define PREAMBLE_CONFIG 0x1004
#define SYNC_CONFIG 0x1100
#define MODEM_MOD_TYPE 0x2000
#define MODEM_FREQ_DEV 0x200C
#define MODEM_CLKGEN_BAND 0x2051
#define PA_MODE 0x2200
#define RF_FREQ_CONTROL_INTE 0x4000

void spi_CS(uint8_t enable);
void check_part_info();

#endif /* RADIO_H_ */
